Loading...
Searching...
No Matches
pqxx::string_traits< range< TYPE > > Struct Template Reference

String conversions for a range type. More...

## Static Public Member Functions

static zview | to_buf (char *begin, char *end, range< TYPE > const &value)
static char * | into_buf (char *begin, char *end, range< TYPE > const &value)
static range< TYPE > | from_string (std::string_view text)
static constexpr std::size_t | size_buffer (range< TYPE > const &value) noexcept

## Detailed Description

template<typename TYPE>
struct pqxx::string_traits< range< TYPE > >

String conversions for a range type.

Conversion assumes that either your client encoding is UTF-8, or the values are pure ASCII.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/range.hxx